Bug 1565832 (CVE-2018-9273) - CVE-2018-9273 wireshark: memory leak in epan/dissectors/packet-pcp.c
Summary: CVE-2018-9273 wireshark: memory leak in epan/dissectors/packet-pcp.c
Status: CLOSED NOTABUG
Alias: CVE-2018-9273
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20180306,reported=2...
Keywords: Security
Depends On: 1565675 1575731 1565684
Blocks: 1565716
TreeView+ depends on / blocked
 
Reported: 2018-04-10 21:02 UTC by Laura Pardo
Modified: 2019-05-16 08:16 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-07 18:48:58 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-04-10 21:02:07 UTC
A flaw was found in Wireshark 2.4.0 to 2.4.5 and 2.2.0 to 2.2.13, epan/dissectors/packet-pcp.c has a memory leak.


References:
https://www.wireshark.org/security/wnpa-sec-2018-24.html
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=14488

Patch:
https://code.wireshark.org/review/gitweb?p=wireshark.git;a=commit;h=1f8f1456f1e73b6c09e50a64749e43413ac12df7

Comment 1 Laura Pardo 2018-04-10 21:03:41 UTC
Created wireshark tracking bugs for this issue:

Affects: fedora-all [bug 1565684]


Note You need to log in before you can comment on or make changes to this bug.